import { CommonModule } from '@angular/common';
import { provideHttpClient } from '@angular/common/http';
import { TestBed, waitForAsync } from '@angular/core/testing';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { AppRoutesModule } from '../app.routes.module';
import { BreadcrumbService } from '../breadcrumb.service';
import { ServicesModule } from '../../providers/services.module';
import { AccessDeniedComponent } from './accessdenied.component';

describe('AccessDeniedComponent', () =>
{
  beforeEach(waitForAsync(() =>
  {
    TestBed.configureTestingModule({
    imports: [
        BrowserAnimationsModule,
        AppRoutesModule,
        CommonModule,
        ServicesModule,
        AccessDeniedComponent
    ],
    providers: [
        provideHttpClient(),
        BreadcrumbService,
    ]
}).compileComponents();
  }));
  it('Component created successfully...', waitForAsync(() =>
  {
    const fixture = TestBed.createComponent(AccessDeniedComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  }));
});
